%define build_plf 0
%define build_perl 1
%define build_python 1
%define build_tcl 1
%define build_netmon 0

%{?_with_plf: %{expand: %%global build_plf 1}}

%{?_without_perl: %{expand: %%global build_perl 0}}
%{?_with_perl: %{expand: %%global build_perl 1}}

%{?_without_python: %{expand: %%global build_python 0}}
%{?_with_python: %{expand: %%global build_python 1}}

%{?_without_tcl: %{expand: %%global build_tcl 0}}
%{?_with_tcl: %{expand: %%global build_tcl 1}}

%{?_without_netmon: %{expand: %%global build_netmon 0}}
%{?_with_netmon: %{expand: %%global build_netmon 1}}

%define perl_version	%(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define iconname xchat-gnome.png

Summary:	Graphical IRC client for the GNOME desktop
Name:		xchat-gnome
Version:	0.26.1
Release:	%mkrel 20
Group:		Networking/IRC
License:	GPLv2+
Url:		http://xchat-gnome.navi.cx
Source:		https://download.gnome.org/sources/xchat-gnome/0.26/%{name}-%{version}.tar.bz2
# do not give away OS with VERSION
Patch0:		%{name}-0.18-ctcp_version.patch
# (tpg) no more crash on startup
Patch1:		%{name}-0.18-config.patch
Patch2:		xchat-gnome-0.26.1-depreciated-macros.patch
Patch3:		xchat-gnome-0.26.1-link.patch
# From Gentoo
Patch4:		xchat-gnome-0.26.1-notify-osd.patch
Patch5:		xchat-gnome-0.26.1-tcl-dir.patch
BuildRequires: pkgconfig(dbus-1) >= 0.60
BuildRequires: pkgconfig(dbus-glib-1) >= 0.60
BuildRequires: pkgconfig(gconf-2.0) >= 2.8.0
BuildRequires: pkgconfig(gio-2.0) >= 2.18.0
BuildRequires: pkgconfig(glib-2.0) >= 2.18.0
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires: pkgconfig(libcanberra-gtk) >= 0.3
BuildRequires: pkgconfig(libglade-2.0) >= 2.3.2
BuildRequires: pkgconfig(libgnome-2.0) >= 2.16.0
BuildRequires: pkgconfig(libgnomeui-2.0) >= 2.16.0
BuildRequires: pkgconfig(libnotify) >= 0.3.2
BuildRequires: pkgconfig(libsexy) >= 0.1.11
BuildRequires: pkgconfig(openssl)
BuildRequires:	bison
BuildRequires:	intltool gettext-devel
BuildRequires:	scrollkeeper
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
%if %build_perl
BuildRequires:	perl-devel
%endif
%if %build_python
BuildRequires:	python-devel
%endif
%if %build_tcl
BuildRequires:	tcl
BuildRequires:	tcl-devel
%endif
%if %build_plf
BuildRequires:	socks5-devel
%endif
BuildRequires:	libxslt-proc
BuildRequires:	chrpath
Provides:	xchat-gnome-dbus = %{version}-%{release}
Obsoletes:	xchat-gnome-dbus < 0.15
Requires(preun): GConf2

%description
XChat-gnome is a new frontend to the popular X-Chat IRC client which is
designed with the user interface foremost in mind. Historically, the OSS
desktop has been steadily improving in usability, accessibility, and general
slickness, yet the world of IRC clients has not kept up. With IRC being one
of the fundamental methods of communication within the open source community,
it is bizzare that this area has been neglected.

%package devel
Summary:	XChat header for plugin development
Group:		Networking/IRC

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package perl
Summary:	XChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires:	perl-base = %{perl_version}

%description perl
Provides Perl scripting capability to XChat.

%package python
Summary:	XChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description python
Provides Python scripting capability to XChat.

%package tcl
Summary:	XChat TCL plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description tcl
Provides tcl scripting capability to XChat.

%package autoaway
Summary:	XChat Autoaway plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description autoaway
Provides a autoaway function to XChat.

%if %build_netmon
%package netmonitor
Summary:	XChat Netmonitor plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description netmonitor
Net Monitor support for XChat.
%endif

%package notification
Summary:	XChat Notification plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires(preun): GConf2

%description notification
Provides a notification area icon to XChat.

%package soundnotification
Summary:	XChat Sound Notification plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description soundnotification
Provides a sound notification to XChat.

%package notifyosd
Summary:	XChat On Screen Notification plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}

%description notifyosd
Provides an on screen notification to XChat.

%package urlscraper
Summary:	XChat URLscraper plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires(preun): GConf2

%description urlscraper
Provides capability to extract URLs from XChat conversations.

%prep
%setup -q
%patch0 -p1 -b .ctcp_version
%patch1 -p1 -b .config
%patch2 -p1 -b .gtk
%patch3 -p0 -b .link
%patch4 -p1 -b .notify
%patch5 -p0 -b .tcl

%build
autoreconf -fi
%configure2_5x  --disable-schemas-install \
		--enable-scrollkeeper \
		--enable-compile-warnings=no \
		--disable-static --disable-maintainer-mode \
		--enable-tcl=%_libdir \
		--with-plugins=autoaway,dbus,notification,notify-osd,url_scraper,sound-notification\
%if %build_perl
,perl\
%endif
%if %build_python
,python\
%endif
%if %build_tcl
,tcl\
%endif
%if %build_netmon
,net-monitor\
%endif
%if %build_plf
		--enable-socks
%endif

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

mv %{buildroot}%{_sysconfdir}/gconf/schemas/url_handler.schemas %{buildroot}%{_sysconfdir}/gconf/schemas/xchat_gnome_url_handler.schemas

mkdir -p %{buildroot}%{_includedir}
cp plugins/xchat-plugin.h %{buildroot}%{_includedir}/

%if !%build_netmon
rm -f %{buildroot}%{_libdir}/xchat-gnome/plugins/netmonitor.*
%endif

#nuke rpath
chrpath -d %{buildroot}%{_bindir}/*
chrpath -d %{buildroot}%{_libdir}/%{name}/plugins/notifyosd.so
chrpath -d %{buildroot}%{_libdir}/%{name}/plugins/autoaway.so

%find_lang xchat-gnome

%preun
%preun_uninstall_gconf_schemas apps_xchat
%preun_uninstall_gconf_schemas xchat_gnome_url_handler

%preun notification
%preun_uninstall_gconf_schemas notification

%preun urlscraper
%preun_uninstall_gconf_schemas urlscraper

%files -f %{name}.lang
%doc NEWS AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/apps_xchat.schemas
%{_sysconfdir}/gconf/schemas/xchat_gnome_url_handler.schemas
%{_bindir}/xchat-gnome
%{_datadir}/applications/xchat-gnome.desktop
%{_datadir}/xchat-gnome
%{_datadir}/gnome/help/xchat-gnome
%{_datadir}/dbus-1/services/org.gnome.Xchat.service
%{_datadir}/omf/xchat-gnome
%{_iconsdir}/hicolor/*/apps/*
%dir %{_libdir}/xchat-gnome
%dir %{_libdir}/xchat-gnome/plugins
%{_mandir}/man1/xchat-gnome.*

%files devel
%{_includedir}/xchat-plugin.h

%if %build_perl
%files perl
%{_libdir}/xchat-gnome/plugins/perl.so
%endif

%if %build_python
%files python
%{_libdir}/xchat-gnome/plugins/python.so
%endif

%if %build_tcl
%files tcl
%{_libdir}/xchat-gnome/plugins/tcl.so
%endif

%files autoaway
%{_libdir}/xchat-gnome/plugins/autoaway.so

%if %build_netmon
%files netmonitor
%{_libdir}/xchat-gnome/plugins/netmonitor.so
%endif

%files notification
%{_libdir}/xchat-gnome/plugins/notification.so
%{_sysconfdir}/gconf/schemas/notification.schemas

%files soundnotification
%{_libdir}/xchat-gnome/plugins/soundnotification.so

%files notifyosd
%{_libdir}/xchat-gnome/plugins/notifyosd.so

%files urlscraper
%{_libdir}/xchat-gnome/plugins/urlscraper.so
%{_sysconfdir}/gconf/schemas/urlscraper.schemas


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.26.1-20.mga4
+ Revision: 532863
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 fwang <fwang> 0.26.1-19.mga4
+ Revision: 469970
- rebuild for new perl

* Wed May 29 2013 fwang <fwang> 0.26.1-18.mga4
+ Revision: 430339
- disable compile warnings
- rebuild for new perl

* Mon Mar 18 2013 fwang <fwang> 0.26.1-17.mga3
+ Revision: 403728
- rebuild for new perl

* Mon Jan 14 2013 umeabot <umeabot> 0.26.1-16.mga3
+ Revision: 386697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 0.26.1-15.mga3
+ Revision: 315717
- rebuild for new perl

* Thu Aug 30 2012 fwang <fwang> 0.26.1-14.mga3
+ Revision: 285800
- rebuild for new perl

* Thu May 31 2012 fwang <fwang> 0.26.1-13.mga3
+ Revision: 251986
- fix linkage
- rebuild for new perl

* Tue Oct 18 2011 dmorgan <dmorgan> 0.26.1-12.mga2
+ Revision: 156019
- perl 5.14.2 rebuild

* Thu Sep 22 2011 fwang <fwang> 0.26.1-11.mga2
+ Revision: 146664
- drop .la files

  + tv <tv>
    - fix sources URL

* Wed Jul 06 2011 fwang <fwang> 0.26.1-10.mga2
+ Revision: 119193
- fix tcl dir detection
- specify tcl dir
- rebuild for new tcl

* Sun Jun 19 2011 jquelin <jquelin> 0.26.1-9.mga2
+ Revision: 109914
- perl 5.14.1 rebuild

* Mon Jun 13 2011 ahmad <ahmad> 0.26.1-8.mga2
+ Revision: 105571
- Rebuild against libnotify-0.7

* Mon Jun 13 2011 sander85 <sander85> 0.26.1-7.mga2
+ Revision: 105473
- fix build problems with new libnotify

  + pterjan <pterjan>
    - Rebuild for perl 5.14

* Tue Mar 08 2011 ennael <ennael> 0.26.1-6.mga1
+ Revision: 66474
- clean spec file
- imported package xchat-gnome


* Thu Nov 11 2010 Funda Wang <fwang@mandriva.org> 0.26.1-6mdv2011.0
+ Revision: 595927
- br libcanberra-gtk

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for python 2.7

* Sun Aug 15 2010 Funda Wang <fwang@mandriva.org> 0.26.1-5mdv2011.0
+ Revision: 569890
- rebuild for perl 5.12.1

* Thu Jul 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.26.1-4mdv2011.0
+ Revision: 556793
- perl 5.12 rebuild

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 0.26.1-3mdv2010.1
+ Revision: 539013
- integrate fedora patch to have it built
- fix linkage

* Thu Sep 03 2009 Pascal Terjan <pterjan@mandriva.org> 0.26.1-2mdv2010.0
+ Revision: 428194
- rebuild

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 0.26.1-1mdv2009.1
+ Revision: 366977
- update to new version 0.26.1

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 0.26.0-1mdv2009.1
+ Revision: 355391
- update to new version 0.26.0
- fix source URL

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0.24.3.1-1mdv2009.1
+ Revision: 332960
- New upstream release

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.24.3

* Sat Dec 27 2008 Michael Scherer <misc@mandriva.org> 0.24.1-3mdv2009.1
+ Revision: 319890
- rebuild for new python

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.24.1-2mdv2009.1
+ Revision: 311044
- rebuild for new tcl

* Tue Oct 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.24.1-1mdv2009.1
+ Revision: 296191
- update to new version 0.24.1

* Sat Oct 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.24.0-1mdv2009.1
+ Revision: 292504
- update to new version 0.24.0
- drop patch2, merged by upstream
- do not package COPYING file

* Sat Sep 13 2008 Funda Wang <fwang@mandriva.org> 0.23.92-1mdv2009.0
+ Revision: 284530
- BR gettext-devel
- BR intltool
- New version 0.23.92

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.18-6mdv2009.0
+ Revision: 262283
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.18-5mdv2009.0
+ Revision: 256682
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.18-3mdv2008.1
+ Revision: 174528
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 0.18-2mdv2008.0
+ Revision: 82056
- rebuild for new soname of tcl

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.18-1mdv2008.0
+ Revision: 75045
- rediff pacth0
- remove br on desktop-fine-install, no need to change desktop file
- remove not needed br
- rediff patch 1
- drop patches 2 and 3 (merged upstream)
- new license policy
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17-2mdv2008.0
+ Revision: 34671
- fix mixture of tabs and spaces
- provide P1-P3 (doesn't crash on startup)
- drop buildrequires on imagemagick
- disable compiling static files rather than deleting them
- use macros
- spec file clean
- adjust requires and buildrequires

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17-1mdv2008.0
+ Revision: 19639
- new version
- drop unused patch entries
- update docs
- nuke rpath
- remove old menu style


* Thu Feb 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.16-1mdv2007.0
+ Revision: 115789
- new version 0.16
- drop patch 4
- move icons to the right directory
- some minor adds in spec file

* Tue Dec 12 2006 Michael Scherer <misc@mandriva.org> 0.15-2mdv2007.1
+ Revision: 95695
- rebuild for new python

* Sun Oct 29 2006 Pascal Terjan <pterjan@mandriva.org> 0.15-1mdv2007.1
+ Revision: 73670
- DBUS is no longer in a plugin
- 0.15
- Import xchat-gnome

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12-2mdv2007.0
- Rebuild with latest dbus
- xdg menu

* Fri Jun 23 2006 Lenny Cartier <lenny@mandriva.com> 0.12-1mdv2007.0
- 0.12
- regenerate patch

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.11-4mdk
- Add BuildRequires: libxslt-proc

* Fri Apr 28 2006 Pascal Terjan <pterjan@mandriva.org> 0.11-3mdk
- buildrequires gnome-doc-utils, libnotify-devel, libsexy-devel

* Thu Apr 27 2006 Pascal Terjan <pterjan@mandriva.org> 0.11-2mdk
- buildrequires gnome-common

* Fri Apr 21 2006 Pascal Terjan <pterjan@mandriva.org> 0.11-1mdk
- 0.11
- update icon cache

* Thu Mar 16 2006 Gtz Waschk <waschk@mandriva.org> 0.10-2mdk
- fix build
- rebuild for new libsexy

* Sat Mar 11 2006 Pascal Terjan <pterjan@mandriva.org> 0.10-1mdk
- New release 0.10

* Sat Feb 04 2006 Pascal Terjan <pterjan@mandriva.org> 0.9-1mdk
- 0.9
- Drop patch3 (useless with the new interface)

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.8-5mdk
- Rebuild for new perl

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-3mdk
- Fix BuildRequires

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-2mdk
- Add BuildRequires : perl-XML-Parser

* Mon Dec 12 2005 Michael Reinsch <mr@uue.org> 0.8-1mdk
- 0.8
- no longer conflicts with xchat
- added comments to applied patches
- repatched patch 0
- dropped patch2: this is just a default setting, chosen by upstream
- make netmonitor plugin an optional build option (default: disabled)

* Mon Nov 21 2005 Michael Reinsch <mr@uue.org> 0.7-1mdk
- 0.7
- sync with xchat spec
  - P5 (xchat-2.6.0-fix_text in xchat.spec) already applied
  - P3 (xchat-2.4.5-servlist in xchat.spec) no longer seems to segfault
  - enable libtoolize again
- fix/adapt buildrequires
- Drop P6 (xchat-gnome-ex-nls)

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5-2mdk
- rebuild against openssl-0.9.8

* Sat Sep 03 2005 Pascal Terjan <pterjan@mandriva.org> 0.5-1mdk
- 0.5
- Drop P5
- Rediff P6

* Wed Aug 10 2005 Pascal Terjan <pterjan@mandriva.org> 0.4-1mdk
- From Reinout van Schouwen <reinout@cs.vu.nl>
 * XChat-GNOME 0.4
 * URLscraper and notification plugins
 * Conflicts with generic xchat
- Drop P3 (default channel) segfaults with xchat-gnome
- Add P5 from PLD fixing a crash
- Deactivate libtoolize
- Enable i18n (P6). Still does not fully work.

